searchNodes=[{"doc":"API client metadata for GoogleApi.StorageTransfer.V1.","ref":"GoogleApi.StorageTransfer.V1.html","title":"GoogleApi.StorageTransfer.V1","type":"module"},{"doc":"","ref":"GoogleApi.StorageTransfer.V1.html#discovery_revision/0","title":"GoogleApi.StorageTransfer.V1.discovery_revision/0","type":"function"},{"doc":"API calls for all endpoints tagged GoogleServiceAccounts .","ref":"GoogleApi.StorageTransfer.V1.Api.GoogleServiceAccounts.html","title":"GoogleApi.StorageTransfer.V1.Api.GoogleServiceAccounts","type":"module"},{"doc":"Returns the Google service account that is used by Storage Transfer Service to access buckets in the project where transfers run or in other projects. Each Google service account is associated with one Google Cloud Platform Console project. Users should add this service account to the Google Cloud Storage bucket ACLs to grant access to Storage Transfer Service. This service account is created and owned by Storage Transfer Service and can only be used by Storage Transfer Service. Parameters connection ( type: GoogleApi.StorageTransfer.V1.Connection.t ) - Connection to server project_id ( type: String.t ) - Required. The ID of the Google Cloud Platform Console project that the Google service account is associated with. optional_params ( type: keyword() ) - Optional parameters :&quot;$.xgafv&quot; ( type: String.t ) - V1 error format. :access_token ( type: String.t ) - OAuth access token. :alt ( type: String.t ) - Data format for response. :callback ( type: String.t ) - JSONP :fields ( type: String.t ) - Selector specifying which fields to include in a partial response. :key ( type: String.t ) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token ( type: String.t ) - OAuth 2.0 token for the current user. :prettyPrint ( type: boolean() ) - Returns response with indentations and line breaks. :quotaUser ( type: String.t ) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType ( type: String.t ) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol ( type: String.t ) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts ( type: keyword() ) - Call options Returns {:ok, %GoogleApi.StorageTransfer.V1.Model.GoogleServiceAccount{}} on success {:error, info} on failure","ref":"GoogleApi.StorageTransfer.V1.Api.GoogleServiceAccounts.html#storagetransfer_google_service_accounts_get/4","title":"GoogleApi.StorageTransfer.V1.Api.GoogleServiceAccounts.storagetransfer_google_service_accounts_get/4","type":"function"},{"doc":"API calls for all endpoints tagged TransferJobs .","ref":"GoogleApi.StorageTransfer.V1.Api.TransferJobs.html","title":"GoogleApi.StorageTransfer.V1.Api.TransferJobs","type":"module"},{"doc":"Creates a transfer job that runs periodically. Parameters connection ( type: GoogleApi.StorageTransfer.V1.Connection.t ) - Connection to server optional_params ( type: keyword() ) - Optional parameters :&quot;$.xgafv&quot; ( type: String.t ) - V1 error format. :access_token ( type: String.t ) - OAuth access token. :alt ( type: String.t ) - Data format for response. :callback ( type: String.t ) - JSONP :fields ( type: String.t ) - Selector specifying which fields to include in a partial response. :key ( type: String.t ) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token ( type: String.t ) - OAuth 2.0 token for the current user. :prettyPrint ( type: boolean() ) - Returns response with indentations and line breaks. :quotaUser ( type: String.t ) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType ( type: String.t ) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol ( type: String.t ) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body ( type: GoogleApi.StorageTransfer.V1.Model.TransferJob.t ) - opts ( type: keyword() ) - Call options Returns {:ok, %GoogleApi.StorageTransfer.V1.Model.TransferJob{}} on success {:error, info} on failure","ref":"GoogleApi.StorageTransfer.V1.Api.TransferJobs.html#storagetransfer_transfer_jobs_create/3","title":"GoogleApi.StorageTransfer.V1.Api.TransferJobs.storagetransfer_transfer_jobs_create/3","type":"function"},{"doc":"Gets a transfer job. Parameters connection ( type: GoogleApi.StorageTransfer.V1.Connection.t ) - Connection to server job_name ( type: String.t ) - Required. &quot; The job to get. project_id ( type: String.t ) - Required. The ID of the Google Cloud Platform Console project that owns the job. optional_params ( type: keyword() ) - Optional parameters :&quot;$.xgafv&quot; ( type: String.t ) - V1 error format. :access_token ( type: String.t ) - OAuth access token. :alt ( type: String.t ) - Data format for response. :callback ( type: String.t ) - JSONP :fields ( type: String.t ) - Selector specifying which fields to include in a partial response. :key ( type: String.t ) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token ( type: String.t ) - OAuth 2.0 token for the current user. :prettyPrint ( type: boolean() ) - Returns response with indentations and line breaks. :quotaUser ( type: String.t ) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType ( type: String.t ) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol ( type: String.t ) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts ( type: keyword() ) - Call options Returns {:ok, %GoogleApi.StorageTransfer.V1.Model.TransferJob{}} on success {:error, info} on failure","ref":"GoogleApi.StorageTransfer.V1.Api.TransferJobs.html#storagetransfer_transfer_jobs_get/5","title":"GoogleApi.StorageTransfer.V1.Api.TransferJobs.storagetransfer_transfer_jobs_get/5","type":"function"},{"doc":"Lists transfer jobs. Parameters connection ( type: GoogleApi.StorageTransfer.V1.Connection.t ) - Connection to server filter ( type: String.t ) - Required. A list of query parameters specified as JSON text in the form of: {&quot;projectId&quot;:&quot;my_project_id&quot;, &quot;jobNames&quot;:[&quot;jobid1&quot;,&quot;jobid2&quot;,...], &quot;jobStatuses&quot;:[&quot;status1&quot;,&quot;status2&quot;,...]} Since jobNames and jobStatuses support multiple values, their values must be specified with array notation. projectId is required. jobNames and jobStatuses are optional. The valid values for jobStatuses are case-insensitive: ENABLED, DISABLED, and DELETED. optional_params ( type: keyword() ) - Optional parameters :&quot;$.xgafv&quot; ( type: String.t ) - V1 error format. :access_token ( type: String.t ) - OAuth access token. :alt ( type: String.t ) - Data format for response. :callback ( type: String.t ) - JSONP :fields ( type: String.t ) - Selector specifying which fields to include in a partial response. :key ( type: String.t ) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token ( type: String.t ) - OAuth 2.0 token for the current user. :prettyPrint ( type: boolean() ) - Returns response with indentations and line breaks. :quotaUser ( type: String.t ) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType ( type: String.t ) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol ( type: String.t ) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :pageSize ( type: integer() ) - The list page size. The max allowed value is 256. :pageToken ( type: String.t ) - The list page token. opts ( type: keyword() ) - Call options Returns {:ok, %GoogleApi.StorageTransfer.V1.Model.ListTransferJobsResponse{}} on success {:error, info} on failure","ref":"GoogleApi.StorageTransfer.V1.Api.TransferJobs.html#storagetransfer_transfer_jobs_list/4","title":"GoogleApi.StorageTransfer.V1.Api.TransferJobs.storagetransfer_transfer_jobs_list/4","type":"function"},{"doc":"Updates a transfer job. Updating a job's transfer spec does not affect transfer operations that are running already. Note: The job's status field can be modified using this RPC (for example, to set a job's status to DELETED, DISABLED, or ENABLED). Parameters connection ( type: GoogleApi.StorageTransfer.V1.Connection.t ) - Connection to server job_name ( type: String.t ) - Required. The name of job to update. optional_params ( type: keyword() ) - Optional parameters :&quot;$.xgafv&quot; ( type: String.t ) - V1 error format. :access_token ( type: String.t ) - OAuth access token. :alt ( type: String.t ) - Data format for response. :callback ( type: String.t ) - JSONP :fields ( type: String.t ) - Selector specifying which fields to include in a partial response. :key ( type: String.t ) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token ( type: String.t ) - OAuth 2.0 token for the current user. :prettyPrint ( type: boolean() ) - Returns response with indentations and line breaks. :quotaUser ( type: String.t ) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType ( type: String.t ) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol ( type: String.t ) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body ( type: GoogleApi.StorageTransfer.V1.Model.UpdateTransferJobRequest.t ) - opts ( type: keyword() ) - Call options Returns {:ok, %GoogleApi.StorageTransfer.V1.Model.TransferJob{}} on success {:error, info} on failure","ref":"GoogleApi.StorageTransfer.V1.Api.TransferJobs.html#storagetransfer_transfer_jobs_patch/4","title":"GoogleApi.StorageTransfer.V1.Api.TransferJobs.storagetransfer_transfer_jobs_patch/4","type":"function"},{"doc":"Attempts to start a new TransferOperation for the current TransferJob. A TransferJob has a maximum of one active TransferOperation. If this method is called while a TransferOperation is active, an error wil be returned. Parameters connection ( type: GoogleApi.StorageTransfer.V1.Connection.t ) - Connection to server job_name ( type: String.t ) - Required. The name of the transfer job. optional_params ( type: keyword() ) - Optional parameters :&quot;$.xgafv&quot; ( type: String.t ) - V1 error format. :access_token ( type: String.t ) - OAuth access token. :alt ( type: String.t ) - Data format for response. :callback ( type: String.t ) - JSONP :fields ( type: String.t ) - Selector specifying which fields to include in a partial response. :key ( type: String.t ) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token ( type: String.t ) - OAuth 2.0 token for the current user. :prettyPrint ( type: boolean() ) - Returns response with indentations and line breaks. :quotaUser ( type: String.t ) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType ( type: String.t ) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol ( type: String.t ) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body ( type: GoogleApi.StorageTransfer.V1.Model.RunTransferJobRequest.t ) - opts ( type: keyword() ) - Call options Returns {:ok, %GoogleApi.StorageTransfer.V1.Model.Operation{}} on success {:error, info} on failure","ref":"GoogleApi.StorageTransfer.V1.Api.TransferJobs.html#storagetransfer_transfer_jobs_run/4","title":"GoogleApi.StorageTransfer.V1.Api.TransferJobs.storagetransfer_transfer_jobs_run/4","type":"function"},{"doc":"API calls for all endpoints tagged TransferOperations .","ref":"GoogleApi.StorageTransfer.V1.Api.TransferOperations.html","title":"GoogleApi.StorageTransfer.V1.Api.TransferOperations","type":"module"},{"doc":"Cancels a transfer. Use the transferOperations.get method to check if the cancellation succeeded or if the operation completed despite the cancel request. When you cancel an operation, the currently running transfer is interrupted. For recurring transfer jobs, the next instance of the transfer job will still run. For example, if your job is configured to run every day at 1pm and you cancel Monday's operation at 1:05pm, Monday's transfer will stop. However, a transfer job will still be attempted on Tuesday. This applies only to currently running operations. If an operation is not currently running, cancel does nothing. Caution: Canceling a transfer job can leave your data in an unknown state. We recommend that you restore the state at both the destination and the source after the cancel request completes so that your data is in a consistent state. When you cancel a job, the next job computes a delta of files and may repair any inconsistent state. For instance, if you run a job every day, and today's job found 10 new files and transferred five files before you canceled the job, tomorrow's transfer operation will compute a new delta with the five files that were not copied today plus any new files discovered tomorrow. Parameters connection ( type: GoogleApi.StorageTransfer.V1.Connection.t ) - Connection to server name ( type: String.t ) - The name of the operation resource to be cancelled. optional_params ( type: keyword() ) - Optional parameters :&quot;$.xgafv&quot; ( type: String.t ) - V1 error format. :access_token ( type: String.t ) - OAuth access token. :alt ( type: String.t ) - Data format for response. :callback ( type: String.t ) - JSONP :fields ( type: String.t ) - Selector specifying which fields to include in a partial response. :key ( type: String.t ) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token ( type: String.t ) - OAuth 2.0 token for the current user. :prettyPrint ( type: boolean() ) - Returns response with indentations and line breaks. :quotaUser ( type: String.t ) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType ( type: String.t ) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol ( type: String.t ) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body ( type: GoogleApi.StorageTransfer.V1.Model.CancelOperationRequest.t ) - opts ( type: keyword() ) - Call options Returns {:ok, %GoogleApi.StorageTransfer.V1.Model.Empty{}} on success {:error, info} on failure","ref":"GoogleApi.StorageTransfer.V1.Api.TransferOperations.html#storagetransfer_transfer_operations_cancel/4","title":"GoogleApi.StorageTransfer.V1.Api.TransferOperations.storagetransfer_transfer_operations_cancel/4","type":"function"},{"doc":"Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service. Parameters connection ( type: GoogleApi.StorageTransfer.V1.Connection.t ) - Connection to server name ( type: String.t ) - The name of the operation resource. optional_params ( type: keyword() ) - Optional parameters :&quot;$.xgafv&quot; ( type: String.t ) - V1 error format. :access_token ( type: String.t ) - OAuth access token. :alt ( type: String.t ) - Data format for response. :callback ( type: String.t ) - JSONP :fields ( type: String.t ) - Selector specifying which fields to include in a partial response. :key ( type: String.t ) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token ( type: String.t ) - OAuth 2.0 token for the current user. :prettyPrint ( type: boolean() ) - Returns response with indentations and line breaks. :quotaUser ( type: String.t ) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType ( type: String.t ) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol ( type: String.t ) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts ( type: keyword() ) - Call options Returns {:ok, %GoogleApi.StorageTransfer.V1.Model.Operation{}} on success {:error, info} on failure","ref":"GoogleApi.StorageTransfer.V1.Api.TransferOperations.html#storagetransfer_transfer_operations_get/4","title":"GoogleApi.StorageTransfer.V1.Api.TransferOperations.storagetransfer_transfer_operations_get/4","type":"function"},{"doc":"Lists transfer operations. Operations are ordered by their creation time in reverse chronological order. Parameters connection ( type: GoogleApi.StorageTransfer.V1.Connection.t ) - Connection to server name ( type: String.t ) - Not used. filter ( type: String.t ) - Required. A list of query parameters specified as JSON text in the form of: {&quot;projectId&quot;:&quot;my_project_id&quot;, &quot;jobNames&quot;:[&quot;jobid1&quot;,&quot;jobid2&quot;,...], &quot;operationNames&quot;:[&quot;opid1&quot;,&quot;opid2&quot;,...], &quot;transferStatuses&quot;:[&quot;status1&quot;,&quot;status2&quot;,...]} Since jobNames , operationNames , and transferStatuses support multiple values, they must be specified with array notation. projectId is required. jobNames , operationNames , and transferStatuses are optional. The valid values for transferStatuses are case-insensitive: IN_PROGRESS, PAUSED, SUCCESS, FAILED, and ABORTED. optional_params ( type: keyword() ) - Optional parameters :&quot;$.xgafv&quot; ( type: String.t ) - V1 error format. :access_token ( type: String.t ) - OAuth access token. :alt ( type: String.t ) - Data format for response. :callback ( type: String.t ) - JSONP :fields ( type: String.t ) - Selector specifying which fields to include in a partial response. :key ( type: String.t ) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token ( type: String.t ) - OAuth 2.0 token for the current user. :prettyPrint ( type: boolean() ) - Returns response with indentations and line breaks. :quotaUser ( type: String.t ) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType ( type: String.t ) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol ( type: String.t ) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :pageSize ( type: integer() ) - The list page size. The max allowed value is 256. :pageToken ( type: String.t ) - The list page token. opts ( type: keyword() ) - Call options Returns {:ok, %GoogleApi.StorageTransfer.V1.Model.ListOperationsResponse{}} on success {:error, info} on failure","ref":"GoogleApi.StorageTransfer.V1.Api.TransferOperations.html#storagetransfer_transfer_operations_list/5","title":"GoogleApi.StorageTransfer.V1.Api.TransferOperations.storagetransfer_transfer_operations_list/5","type":"function"},{"doc":"Pauses a transfer operation. Parameters connection ( type: GoogleApi.StorageTransfer.V1.Connection.t ) - Connection to server name ( type: String.t ) - Required. The name of the transfer operation. optional_params ( type: keyword() ) - Optional parameters :&quot;$.xgafv&quot; ( type: String.t ) - V1 error format. :access_token ( type: String.t ) - OAuth access token. :alt ( type: String.t ) - Data format for response. :callback ( type: String.t ) - JSONP :fields ( type: String.t ) - Selector specifying which fields to include in a partial response. :key ( type: String.t ) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token ( type: String.t ) - OAuth 2.0 token for the current user. :prettyPrint ( type: boolean() ) - Returns response with indentations and line breaks. :quotaUser ( type: String.t ) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType ( type: String.t ) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol ( type: String.t ) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body ( type: GoogleApi.StorageTransfer.V1.Model.PauseTransferOperationRequest.t ) - opts ( type: keyword() ) - Call options Returns {:ok, %GoogleApi.StorageTransfer.V1.Model.Empty{}} on success {:error, info} on failure","ref":"GoogleApi.StorageTransfer.V1.Api.TransferOperations.html#storagetransfer_transfer_operations_pause/4","title":"GoogleApi.StorageTransfer.V1.Api.TransferOperations.storagetransfer_transfer_operations_pause/4","type":"function"},{"doc":"Resumes a transfer operation that is paused. Parameters connection ( type: GoogleApi.StorageTransfer.V1.Connection.t ) - Connection to server name ( type: String.t ) - Required. The name of the transfer operation. optional_params ( type: keyword() ) - Optional parameters :&quot;$.xgafv&quot; ( type: String.t ) - V1 error format. :access_token ( type: String.t ) - OAuth access token. :alt ( type: String.t ) - Data format for response. :callback ( type: String.t ) - JSONP :fields ( type: String.t ) - Selector specifying which fields to include in a partial response. :key ( type: String.t ) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token ( type: String.t ) - OAuth 2.0 token for the current user. :prettyPrint ( type: boolean() ) - Returns response with indentations and line breaks. :quotaUser ( type: String.t ) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType ( type: String.t ) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol ( type: String.t ) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body ( type: GoogleApi.StorageTransfer.V1.Model.ResumeTransferOperationRequest.t ) - opts ( type: keyword() ) - Call options Returns {:ok, %GoogleApi.StorageTransfer.V1.Model.Empty{}} on success {:error, info} on failure","ref":"GoogleApi.StorageTransfer.V1.Api.TransferOperations.html#storagetransfer_transfer_operations_resume/4","title":"GoogleApi.StorageTransfer.V1.Api.TransferOperations.storagetransfer_transfer_operations_resume/4","type":"function"},{"doc":"Handle Tesla connections for GoogleApi.StorageTransfer.V1.","ref":"GoogleApi.StorageTransfer.V1.Connection.html","title":"GoogleApi.StorageTransfer.V1.Connection","type":"module"},{"doc":"Perform a DELETE request. See request/1 or request/2 for options definition. delete ( &quot;/users&quot; ) delete ( &quot;/users&quot; , query : [ scope : &quot;admin&quot; ] ) delete ( client , &quot;/users&quot; ) delete ( client , &quot;/users&quot; , query : [ scope : &quot;admin&quot; ] ) delete ( client , &quot;/users&quot; , body : %{ name : &quot;Jon&quot; } )","ref":"GoogleApi.StorageTransfer.V1.Connection.html#delete/3","title":"GoogleApi.StorageTransfer.V1.Connection.delete/3","type":"function"},{"doc":"Perform a DELETE request. See request!/1 or request!/2 for options definition. delete! ( &quot;/users&quot; ) delete! ( &quot;/users&quot; , query : [ scope : &quot;admin&quot; ] ) delete! ( client , &quot;/users&quot; ) delete! ( client , &quot;/users&quot; , query : [ scope : &quot;admin&quot; ] ) delete! ( client , &quot;/users&quot; , body : %{ name : &quot;Jon&quot; } )","ref":"GoogleApi.StorageTransfer.V1.Connection.html#delete!/3","title":"GoogleApi.StorageTransfer.V1.Connection.delete!/3","type":"function"},{"doc":"Execute a request on this connection Returns {:ok, Tesla.Env.t} - If the call was successful {:error, reason} - If the call failed","ref":"GoogleApi.StorageTransfer.V1.Connection.html#execute/2","title":"GoogleApi.StorageTransfer.V1.Connection.execute/2","type":"function"},{"doc":"Perform a GET request. See request/1 or request/2 for options definition. get ( &quot;/users&quot; ) get ( &quot;/users&quot; , query : [ scope : &quot;admin&quot; ] ) get ( client , &quot;/users&quot; ) get ( client , &quot;/users&quot; , query : [ scope : &quot;admin&quot; ] ) get ( client , &quot;/users&quot; , body : %{ name : &quot;Jon&quot; } )","ref":"GoogleApi.StorageTransfer.V1.Connection.html#get/3","title":"GoogleApi.StorageTransfer.V1.Connection.get/3","type":"function"},{"doc":"Perform a GET request. See request!/1 or request!/2 for options definition. get! ( &quot;/users&quot; ) get! ( &quot;/users&quot; , query : [ scope : &quot;admin&quot; ] ) get! ( client , &quot;/users&quot; ) get! ( client , &quot;/users&quot; , query : [ scope : &quot;admin&quot; ] ) get! ( client , &quot;/users&quot; , body : %{ name : &quot;Jon&quot; } )","ref":"GoogleApi.StorageTransfer.V1.Connection.html#get!/3","title":"GoogleApi.StorageTransfer.V1.Connection.get!/3","type":"function"},{"doc":"Perform a HEAD request. See request/1 or request/2 for options definition. head ( &quot;/users&quot; ) head ( &quot;/users&quot; , query : [ scope : &quot;admin&quot; ] ) head ( client , &quot;/users&quot; ) head ( client , &quot;/users&quot; , query : [ scope : &quot;admin&quot; ] ) head ( client , &quot;/users&quot; , body : %{ name : &quot;Jon&quot; } )","ref":"GoogleApi.StorageTransfer.V1.Connection.html#head/3","title":"GoogleApi.StorageTransfer.V1.Connection.head/3","type":"function"},{"doc":"Perform a HEAD request. See request!/1 or request!/2 for options definition. head! ( &quot;/users&quot; ) head! ( &quot;/users&quot; , query : [ scope : &quot;admin&quot; ] ) head! ( client , &quot;/users&quot; ) head! ( client , &quot;/users&quot; , query : [ scope : &quot;admin&quot; ] ) head! ( client , &quot;/users&quot; , body : %{ name : &quot;Jon&quot; } )","ref":"GoogleApi.StorageTransfer.V1.Connection.html#head!/3","title":"GoogleApi.StorageTransfer.V1.Connection.head!/3","type":"function"},{"doc":"Configure an authless client connection Returns Tesla.Env.client","ref":"GoogleApi.StorageTransfer.V1.Connection.html#new/0","title":"GoogleApi.StorageTransfer.V1.Connection.new/0","type":"function"},{"doc":"Configure a client connection using a function which yields a Bearer token. Parameters token_fetcher ( type: list(String.t()) -&gt; String.t() ) - Callback which provides an OAuth2 token given a list of scopes Returns Tesla.Env.client","ref":"GoogleApi.StorageTransfer.V1.Connection.html#new/1","title":"GoogleApi.StorageTransfer.V1.Connection.new/1","type":"function"},{"doc":"Perform a OPTIONS request. See request/1 or request/2 for options definition. options ( &quot;/users&quot; ) options ( &quot;/users&quot; , query : [ scope : &quot;admin&quot; ] ) options ( client , &quot;/users&quot; ) options ( client , &quot;/users&quot; , query : [ scope : &quot;admin&quot; ] ) options ( client , &quot;/users&quot; , body : %{ name : &quot;Jon&quot; } )","ref":"GoogleApi.StorageTransfer.V1.Connection.html#options/3","title":"GoogleApi.StorageTransfer.V1.Connection.options/3","type":"function"},{"doc":"Perform a OPTIONS request. See request!/1 or request!/2 for options definition. options! ( &quot;/users&quot; ) options! ( &quot;/users&quot; , query : [ scope : &quot;admin&quot; ] ) options! ( client , &quot;/users&quot; ) options! ( client , &quot;/users&quot; , query : [ scope : &quot;admin&quot; ] ) options! ( client , &quot;/users&quot; , body : %{ name : &quot;Jon&quot; } )","ref":"GoogleApi.StorageTransfer.V1.Connection.html#options!/3","title":"GoogleApi.StorageTransfer.V1.Connection.options!/3","type":"function"},{"doc":"Perform a PATCH request. See request/1 or request/2 for options definition. patch ( &quot;/users&quot; , %{ name : &quot;Jon&quot; } ) patch ( &quot;/users&quot; , %{ name : &quot;Jon&quot; } , query : [ scope : &quot;admin&quot; ] ) patch ( client , &quot;/users&quot; , %{ name : &quot;Jon&quot; } ) patch ( client , &quot;/users&quot; , %{ name : &quot;Jon&quot; } , query : [ scope : &quot;admin&quot; ] )","ref":"GoogleApi.StorageTransfer.V1.Connection.html#patch/4","title":"GoogleApi.StorageTransfer.V1.Connection.patch/4","type":"function"},{"doc":"Perform a PATCH request. See request!/1 or request!/2 for options definition. patch! ( &quot;/users&quot; , %{ name : &quot;Jon&quot; } ) patch! ( &quot;/users&quot; , %{ name : &quot;Jon&quot; } , query : [ scope : &quot;admin&quot; ] ) patch! ( client , &quot;/users&quot; , %{ name : &quot;Jon&quot; } ) patch! ( client , &quot;/users&quot; , %{ name : &quot;Jon&quot; } , query : [ scope : &quot;admin&quot; ] )","ref":"GoogleApi.StorageTransfer.V1.Connection.html#patch!/4","title":"GoogleApi.StorageTransfer.V1.Connection.patch!/4","type":"function"},{"doc":"Perform a POST request. See request/1 or request/2 for options definition. post ( &quot;/users&quot; , %{ name : &quot;Jon&quot; } ) post ( &quot;/users&quot; , %{ name : &quot;Jon&quot; } , query : [ scope : &quot;admin&quot; ] ) post ( client , &quot;/users&quot; , %{ name : &quot;Jon&quot; } ) post ( client , &quot;/users&quot; , %{ name : &quot;Jon&quot; } , query : [ scope : &quot;admin&quot; ] )","ref":"GoogleApi.StorageTransfer.V1.Connection.html#post/4","title":"GoogleApi.StorageTransfer.V1.Connection.post/4","type":"function"},{"doc":"Perform a POST request. See request!/1 or request!/2 for options definition. post! ( &quot;/users&quot; , %{ name : &quot;Jon&quot; } ) post! ( &quot;/users&quot; , %{ name : &quot;Jon&quot; } , query : [ scope : &quot;admin&quot; ] ) post! ( client , &quot;/users&quot; , %{ name : &quot;Jon&quot; } ) post! ( client , &quot;/users&quot; , %{ name : &quot;Jon&quot; } , query : [ scope : &quot;admin&quot; ] )","ref":"GoogleApi.StorageTransfer.V1.Connection.html#post!/4","title":"GoogleApi.StorageTransfer.V1.Connection.post!/4","type":"function"},{"doc":"Perform a PUT request. See request/1 or request/2 for options definition. put ( &quot;/users&quot; , %{ name : &quot;Jon&quot; } ) put ( &quot;/users&quot; , %{ name : &quot;Jon&quot; } , query : [ scope : &quot;admin&quot; ] ) put ( client , &quot;/users&quot; , %{ name : &quot;Jon&quot; } ) put ( client , &quot;/users&quot; , %{ name : &quot;Jon&quot; } , query : [ scope : &quot;admin&quot; ] )","ref":"GoogleApi.StorageTransfer.V1.Connection.html#put/4","title":"GoogleApi.StorageTransfer.V1.Connection.put/4","type":"function"},{"doc":"Perform a PUT request. See request!/1 or request!/2 for options definition. put! ( &quot;/users&quot; , %{ name : &quot;Jon&quot; } ) put! ( &quot;/users&quot; , %{ name : &quot;Jon&quot; } , query : [ scope : &quot;admin&quot; ] ) put! ( client , &quot;/users&quot; , %{ name : &quot;Jon&quot; } ) put! ( client , &quot;/users&quot; , %{ name : &quot;Jon&quot; } , query : [ scope : &quot;admin&quot; ] )","ref":"GoogleApi.StorageTransfer.V1.Connection.html#put!/4","title":"GoogleApi.StorageTransfer.V1.Connection.put!/4","type":"function"},{"doc":"Perform a request. Options :method - the request method, one of [ :head , :get , :delete , :trace , :options , :post , :put , :patch ] :url - either full url e.g. &quot; http://example.com/some/path&quot; or just &quot;/some/path&quot; if using Tesla.Middleware.BaseUrl :query - a keyword list of query params, e.g. [page: 1, per_page: 100] :headers - a keyworld list of headers, e.g. [{&quot;content-type&quot;, &quot;text/plain&quot;}] :body - depends on used middleware: by default it can be a binary if using e.g. JSON encoding middleware it can be a nested map if adapter supports it it can be a Stream with any of the above :opts - custom, per-request middleware or adapter options Examples ExampleApi . request ( method : :get , url : &quot;/users/path&quot; ) # use shortcut methods ExampleApi . get ( &quot;/users/1&quot; ) ExampleApi . post ( client , &quot;/users&quot; , %{ name : &quot;Jon&quot; } )","ref":"GoogleApi.StorageTransfer.V1.Connection.html#request/2","title":"GoogleApi.StorageTransfer.V1.Connection.request/2","type":"function"},{"doc":"Perform request and raise in case of error. This is similar to request/2 behaviour from Tesla 0.x See request/2 for list of available options.","ref":"GoogleApi.StorageTransfer.V1.Connection.html#request!/2","title":"GoogleApi.StorageTransfer.V1.Connection.request!/2","type":"function"},{"doc":"Perform a TRACE request. See request/1 or request/2 for options definition. trace ( &quot;/users&quot; ) trace ( &quot;/users&quot; , query : [ scope : &quot;admin&quot; ] ) trace ( client , &quot;/users&quot; ) trace ( client , &quot;/users&quot; , query : [ scope : &quot;admin&quot; ] ) trace ( client , &quot;/users&quot; , body : %{ name : &quot;Jon&quot; } )","ref":"GoogleApi.StorageTransfer.V1.Connection.html#trace/3","title":"GoogleApi.StorageTransfer.V1.Connection.trace/3","type":"function"},{"doc":"Perform a TRACE request. See request!/1 or request!/2 for options definition. trace! ( &quot;/users&quot; ) trace! ( &quot;/users&quot; , query : [ scope : &quot;admin&quot; ] ) trace! ( client , &quot;/users&quot; ) trace! ( client , &quot;/users&quot; , query : [ scope : &quot;admin&quot; ] ) trace! ( client , &quot;/users&quot; , body : %{ name : &quot;Jon&quot; } )","ref":"GoogleApi.StorageTransfer.V1.Connection.html#trace!/3","title":"GoogleApi.StorageTransfer.V1.Connection.trace!/3","type":"function"},{"doc":"Options that may be passed to a request function. See request/2 for detailed descriptions.","ref":"GoogleApi.StorageTransfer.V1.Connection.html#t:option/0","title":"GoogleApi.StorageTransfer.V1.Connection.option/0","type":"type"},{"doc":"","ref":"GoogleApi.StorageTransfer.V1.Connection.html#t:t/0","title":"GoogleApi.StorageTransfer.V1.Connection.t/0","type":"type"},{"doc":"AWS access key (see AWS Security Credentials ). For information on our data retention policy for user credentials, see User credentials . Attributes accessKeyId ( type: String.t , default: nil ) - Required. AWS access key ID. secretAccessKey ( type: String.t , default: nil ) - Required. AWS secret access key. This field is not returned in RPC responses.","ref":"GoogleApi.StorageTransfer.V1.Model.AwsAccessKey.html","title":"GoogleApi.StorageTransfer.V1.Model.AwsAccessKey","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StorageTransfer.V1.Model.AwsAccessKey.html#decode/2","title":"GoogleApi.StorageTransfer.V1.Model.AwsAccessKey.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.StorageTransfer.V1.Model.AwsAccessKey.html#t:t/0","title":"GoogleApi.StorageTransfer.V1.Model.AwsAccessKey.t/0","type":"type"},{"doc":"An AwsS3Data resource can be a data source, but not a data sink. In an AwsS3Data resource, an object's name is the S3 object's key name. Attributes awsAccessKey ( type: GoogleApi.StorageTransfer.V1.Model.AwsAccessKey.t , default: nil ) - Required. Input only. AWS access key used to sign the API requests to the AWS S3 bucket. Permissions on the bucket must be granted to the access ID of the AWS access key. For information on our data retention policy for user credentials, see User credentials . bucketName ( type: String.t , default: nil ) - Required. S3 Bucket name (see Creating a bucket ). path ( type: String.t , default: nil ) - Root path to transfer objects. Must be an empty string or full path name that ends with a '/'. This field is treated as an object prefix. As such, it should generally not begin with a '/'.","ref":"GoogleApi.StorageTransfer.V1.Model.AwsS3Data.html","title":"GoogleApi.StorageTransfer.V1.Model.AwsS3Data","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StorageTransfer.V1.Model.AwsS3Data.html#decode/2","title":"GoogleApi.StorageTransfer.V1.Model.AwsS3Data.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.StorageTransfer.V1.Model.AwsS3Data.html#t:t/0","title":"GoogleApi.StorageTransfer.V1.Model.AwsS3Data.t/0","type":"type"},{"doc":"An AzureBlobStorageData resource can be a data source, but not a data sink. An AzureBlobStorageData resource represents one Azure container. The storage account determines the Azure endpoint . In an AzureBlobStorageData resource, a blobs's name is the Azure Blob Storage blob's key name . Attributes azureCredentials ( type: GoogleApi.StorageTransfer.V1.Model.AzureCredentials.t , default: nil ) - Required. Input only. Credentials used to authenticate API requests to Azure. For information on our data retention policy for user credentials, see User credentials . container ( type: String.t , default: nil ) - Required. The container to transfer from the Azure Storage account. path ( type: String.t , default: nil ) - Root path to transfer objects. Must be an empty string or full path name that ends with a '/'. This field is treated as an object prefix. As such, it should generally not begin with a '/'. storageAccount ( type: String.t , default: nil ) - Required. The name of the Azure Storage account.","ref":"GoogleApi.StorageTransfer.V1.Model.AzureBlobStorageData.html","title":"GoogleApi.StorageTransfer.V1.Model.AzureBlobStorageData","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StorageTransfer.V1.Model.AzureBlobStorageData.html#decode/2","title":"GoogleApi.StorageTransfer.V1.Model.AzureBlobStorageData.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.StorageTransfer.V1.Model.AzureBlobStorageData.html#t:t/0","title":"GoogleApi.StorageTransfer.V1.Model.AzureBlobStorageData.t/0","type":"type"},{"doc":"Azure credentials For information on our data retention policy for user credentials, see User credentials . Attributes sasToken ( type: String.t , default: nil ) - Required. Azure shared access signature. (see Grant limited access to Azure Storage resources using shared access signatures (SAS) ).","ref":"GoogleApi.StorageTransfer.V1.Model.AzureCredentials.html","title":"GoogleApi.StorageTransfer.V1.Model.AzureCredentials","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StorageTransfer.V1.Model.AzureCredentials.html#decode/2","title":"GoogleApi.StorageTransfer.V1.Model.AzureCredentials.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.StorageTransfer.V1.Model.AzureCredentials.html#t:t/0","title":"GoogleApi.StorageTransfer.V1.Model.AzureCredentials.t/0","type":"type"},{"doc":"The request message for Operations.CancelOperation. Attributes","ref":"GoogleApi.StorageTransfer.V1.Model.CancelOperationRequest.html","title":"GoogleApi.StorageTransfer.V1.Model.CancelOperationRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StorageTransfer.V1.Model.CancelOperationRequest.html#decode/2","title":"GoogleApi.StorageTransfer.V1.Model.CancelOperationRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.StorageTransfer.V1.Model.CancelOperationRequest.html#t:t/0","title":"GoogleApi.StorageTransfer.V1.Model.CancelOperationRequest.t/0","type":"type"},{"doc":"Represents a whole or partial calendar date, such as a birthday. The time of day and time zone are either specified elsewhere or are insignificant. The date is relative to the Gregorian Calendar. This can represent one of the following: A full date, with non-zero year, month, and day values A month and day value, with a zero year, such as an anniversary A year on its own, with zero month and day values A year and month value, with a zero day, such as a credit card expiration date Related types are google.type.TimeOfDay and google.protobuf.Timestamp . Attributes day ( type: integer() , default: nil ) - Day of a month. Must be from 1 to 31 and valid for the year and month, or 0 to specify a year by itself or a year and month where the day isn't significant. month ( type: integer() , default: nil ) - Month of a year. Must be from 1 to 12, or 0 to specify a year without a month and day. year ( type: integer() , default: nil ) - Year of the date. Must be from 1 to 9999, or 0 to specify a date without a year.","ref":"GoogleApi.StorageTransfer.V1.Model.Date.html","title":"GoogleApi.StorageTransfer.V1.Model.Date","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StorageTransfer.V1.Model.Date.html#decode/2","title":"GoogleApi.StorageTransfer.V1.Model.Date.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.StorageTransfer.V1.Model.Date.html#t:t/0","title":"GoogleApi.StorageTransfer.V1.Model.Date.t/0","type":"type"},{"doc":"A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); } The JSON representation for Empty is empty JSON object {} . Attributes","ref":"GoogleApi.StorageTransfer.V1.Model.Empty.html","title":"GoogleApi.StorageTransfer.V1.Model.Empty","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StorageTransfer.V1.Model.Empty.html#decode/2","title":"GoogleApi.StorageTransfer.V1.Model.Empty.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.StorageTransfer.V1.Model.Empty.html#t:t/0","title":"GoogleApi.StorageTransfer.V1.Model.Empty.t/0","type":"type"},{"doc":"An entry describing an error that has occurred. Attributes errorDetails ( type: list(String.t) , default: nil ) - A list of messages that carry the error details. url ( type: String.t , default: nil ) - Required. A URL that refers to the target (a data source, a data sink, or an object) with which the error is associated.","ref":"GoogleApi.StorageTransfer.V1.Model.ErrorLogEntry.html","title":"GoogleApi.StorageTransfer.V1.Model.ErrorLogEntry","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StorageTransfer.V1.Model.ErrorLogEntry.html#decode/2","title":"GoogleApi.StorageTransfer.V1.Model.ErrorLogEntry.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.StorageTransfer.V1.Model.ErrorLogEntry.html#t:t/0","title":"GoogleApi.StorageTransfer.V1.Model.ErrorLogEntry.t/0","type":"type"},{"doc":"A summary of errors by error code, plus a count and sample error log entries. Attributes errorCode ( type: String.t , default: nil ) - Required. errorCount ( type: String.t , default: nil ) - Required. Count of this type of error. errorLogEntries ( type: list(GoogleApi.StorageTransfer.V1.Model.ErrorLogEntry.t) , default: nil ) - Error samples. At most 5 error log entries will be recorded for a given error code for a single transfer operation.","ref":"GoogleApi.StorageTransfer.V1.Model.ErrorSummary.html","title":"GoogleApi.StorageTransfer.V1.Model.ErrorSummary","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StorageTransfer.V1.Model.ErrorSummary.html#decode/2","title":"GoogleApi.StorageTransfer.V1.Model.ErrorSummary.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.StorageTransfer.V1.Model.ErrorSummary.html#t:t/0","title":"GoogleApi.StorageTransfer.V1.Model.ErrorSummary.t/0","type":"type"},{"doc":"In a GcsData resource, an object's name is the Cloud Storage object's name and its &quot;last modification time&quot; refers to the object's updated property of Cloud Storage objects, which changes when the content or the metadata of the object is updated. Attributes bucketName ( type: String.t , default: nil ) - Required. Cloud Storage bucket name (see Bucket Name Requirements ). path ( type: String.t , default: nil ) - Root path to transfer objects. Must be an empty string or full path name that ends with a '/'. This field is treated as an object prefix. As such, it should generally not begin with a '/'. (must meet Object Name Requirements]( https://cloud.google.com/storage/docs/naming#objectnames)).","ref":"GoogleApi.StorageTransfer.V1.Model.GcsData.html","title":"GoogleApi.StorageTransfer.V1.Model.GcsData","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StorageTransfer.V1.Model.GcsData.html#decode/2","title":"GoogleApi.StorageTransfer.V1.Model.GcsData.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.StorageTransfer.V1.Model.GcsData.html#t:t/0","title":"GoogleApi.StorageTransfer.V1.Model.GcsData.t/0","type":"type"},{"doc":"Google service account Attributes accountEmail ( type: String.t , default: nil ) - Email address of the service account.","ref":"GoogleApi.StorageTransfer.V1.Model.GoogleServiceAccount.html","title":"GoogleApi.StorageTransfer.V1.Model.GoogleServiceAccount","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StorageTransfer.V1.Model.GoogleServiceAccount.html#decode/2","title":"GoogleApi.StorageTransfer.V1.Model.GoogleServiceAccount.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.StorageTransfer.V1.Model.GoogleServiceAccount.html#t:t/0","title":"GoogleApi.StorageTransfer.V1.Model.GoogleServiceAccount.t/0","type":"type"},{"doc":"An HttpData resource specifies a list of objects on the web to be transferred over HTTP. The information of the objects to be transferred is contained in a file referenced by a URL. The first line in the file must be &quot;TsvHttpData-1.0&quot; , which specifies the format of the file. Subsequent lines specify the information of the list of objects, one object per list entry. Each entry has the following tab-delimited fields: HTTP URL — The location of the object. Length — The size of the object in bytes. MD5 — The base64-encoded MD5 hash of the object. For an example of a valid TSV file, see Transferring data from URLs . When transferring data based on a URL list, keep the following in mind: When an object located at http(s)://hostname:port/ is transferred to a data sink, the name of the object at the data sink is / . If the specified size of an object does not match the actual size of the object fetched, the object will not be transferred. If the specified MD5 does not match the MD5 computed from the transferred bytes, the object transfer will fail. Ensure that each URL you specify is publicly accessible. For example, in Cloud Storage you can [share an object publicly] ( https://cloud.google.com/storage/docs/cloud-console#_sharingdata ) and get a link to it. Storage Transfer Service obeys robots.txt rules and requires the source HTTP server to support Range requests and to return a Content-Length header in each response. * ObjectConditions have no effect when filtering objects to transfer. Attributes listUrl ( type: String.t , default: nil ) - Required. The URL that points to the file that stores the object list entries. This file must allow public access. Currently, only URLs with HTTP and HTTPS schemes are supported.","ref":"GoogleApi.StorageTransfer.V1.Model.HttpData.html","title":"GoogleApi.StorageTransfer.V1.Model.HttpData","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StorageTransfer.V1.Model.HttpData.html#decode/2","title":"GoogleApi.StorageTransfer.V1.Model.HttpData.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.StorageTransfer.V1.Model.HttpData.html#t:t/0","title":"GoogleApi.StorageTransfer.V1.Model.HttpData.t/0","type":"type"},{"doc":"The response message for Operations.ListOperations. Attributes nextPageToken ( type: String.t , default: nil ) - The standard List next-page token. operations ( type: list(GoogleApi.StorageTransfer.V1.Model.Operation.t) , default: nil ) - A list of operations that matches the specified filter in the request.","ref":"GoogleApi.StorageTransfer.V1.Model.ListOperationsResponse.html","title":"GoogleApi.StorageTransfer.V1.Model.ListOperationsResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StorageTransfer.V1.Model.ListOperationsResponse.html#decode/2","title":"GoogleApi.StorageTransfer.V1.Model.ListOperationsResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.StorageTransfer.V1.Model.ListOperationsResponse.html#t:t/0","title":"GoogleApi.StorageTransfer.V1.Model.ListOperationsResponse.t/0","type":"type"},{"doc":"Response from ListTransferJobs. Attributes nextPageToken ( type: String.t , default: nil ) - The list next page token. transferJobs ( type: list(GoogleApi.StorageTransfer.V1.Model.TransferJob.t) , default: nil ) - A list of transfer jobs.","ref":"GoogleApi.StorageTransfer.V1.Model.ListTransferJobsResponse.html","title":"GoogleApi.StorageTransfer.V1.Model.ListTransferJobsResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StorageTransfer.V1.Model.ListTransferJobsResponse.html#decode/2","title":"GoogleApi.StorageTransfer.V1.Model.ListTransferJobsResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.StorageTransfer.V1.Model.ListTransferJobsResponse.html#t:t/0","title":"GoogleApi.StorageTransfer.V1.Model.ListTransferJobsResponse.t/0","type":"type"},{"doc":"Specification to configure notifications published to Cloud Pub/Sub. Notifications will be published to the customer-provided topic using the following PubsubMessage.attributes : &quot;eventType&quot; : one of the EventType values &quot;payloadFormat&quot; : one of the PayloadFormat values &quot;projectId&quot; : the project_id of the TransferOperation &quot;transferJobName&quot; : the transfer_job_name of the TransferOperation * &quot;transferOperationName&quot; : the name of the TransferOperation The PubsubMessage.data will contain a TransferOperation resource formatted according to the specified PayloadFormat . Attributes eventTypes ( type: list(String.t) , default: nil ) - Event types for which a notification is desired. If empty, send notifications for all event types. payloadFormat ( type: String.t , default: nil ) - Required. The desired format of the notification message payloads. pubsubTopic ( type: String.t , default: nil ) - Required. The Topic.name of the Cloud Pub/Sub topic to which to publish notifications. Must be of the format: projects/{project}/topics/{topic} . Not matching this format will result in an INVALID_ARGUMENT error.","ref":"GoogleApi.StorageTransfer.V1.Model.NotificationConfig.html","title":"GoogleApi.StorageTransfer.V1.Model.NotificationConfig","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StorageTransfer.V1.Model.NotificationConfig.html#decode/2","title":"GoogleApi.StorageTransfer.V1.Model.NotificationConfig.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.StorageTransfer.V1.Model.NotificationConfig.html#t:t/0","title":"GoogleApi.StorageTransfer.V1.Model.NotificationConfig.t/0","type":"type"},{"doc":"Conditions that determine which objects will be transferred. Applies only to Cloud Data Sources such as S3, Azure, and Cloud Storage. The &quot;last modification time&quot; refers to the time of the last change to the object's content or metadata — specifically, this is the updated property of Cloud Storage objects, the LastModified field of S3 objects, and the Last-Modified header of Azure blobs. Attributes excludePrefixes ( type: list(String.t) , default: nil ) - If you specify exclude_prefixes , Storage Transfer Service uses the items in the exclude_prefixes array to determine which objects to exclude from a transfer. Objects must not start with one of the matching exclude_prefixes for inclusion in a transfer. The following are requirements of exclude_prefixes : Each exclude-prefix can contain any sequence of Unicode characters, to a max length of 1024 bytes when UTF8-encoded, and must not contain Carriage Return or Line Feed characters. Wildcard matching and regular expression matching are not supported. Each exclude-prefix must omit the leading slash. For example, to exclude the object s3://my-aws-bucket/logs/y=2015/requests.gz , specify the exclude-prefix as logs/y=2015/requests.gz . None of the exclude-prefix values can be empty, if specified. Each exclude-prefix must exclude a distinct portion of the object namespace. No exclude-prefix may be a prefix of another exclude-prefix. * If include_prefixes is specified, then each exclude-prefix must start with the value of a path explicitly included by include_prefixes . The max size of exclude_prefixes is 1000. For more information, see Filtering objects from transfers . includePrefixes ( type: list(String.t) , default: nil ) - If you specify include_prefixes , Storage Transfer Service uses the items in the include_prefixes array to determine which objects to include in a transfer. Objects must start with one of the matching include_prefixes for inclusion in the transfer. If exclude_prefixes is specified, objects must not start with any of the exclude_prefixes specified for inclusion in the transfer. The following are requirements of include_prefixes : Each include-prefix can contain any sequence of Unicode characters, to a max length of 1024 bytes when UTF8-encoded, and must not contain Carriage Return or Line Feed characters. Wildcard matching and regular expression matching are not supported. Each include-prefix must omit the leading slash. For example, to include the object s3://my-aws-bucket/logs/y=2015/requests.gz , specify the include-prefix as logs/y=2015/requests.gz . None of the include-prefix values can be empty, if specified. Each include-prefix must include a distinct portion of the object namespace. No include-prefix may be a prefix of another include-prefix. The max size of include_prefixes is 1000. For more information, see Filtering objects from transfers . lastModifiedBefore ( type: DateTime.t , default: nil ) - If specified, only objects with a &quot;last modification time&quot; before this timestamp and objects that don't have a &quot;last modification time&quot; will be transferred. lastModifiedSince ( type: DateTime.t , default: nil ) - If specified, only objects with a &quot;last modification time&quot; on or after this timestamp and objects that don't have a &quot;last modification time&quot; are transferred. The last_modified_since and last_modified_before fields can be used together for chunked data processing. For example, consider a script that processes each day's worth of data at a time. For that you'd set each of the fields as follows: last_modified_since to the start of the day last_modified_before to the end of the day maxTimeElapsedSinceLastModification ( type: String.t , default: nil ) - If specified, only objects with a &quot;last modification time&quot; on or after NOW - max_time_elapsed_since_last_modification and objects that don't have a &quot;last modification time&quot; are transferred. For each TransferOperation started by this TransferJob, NOW refers to the start_time of the TransferOperation . minTimeElapsedSinceLastModification ( type: String.t , default: nil ) - If specified, only objects with a &quot;last modification time&quot; before NOW - min_time_elapsed_since_last_modification and objects that don't have a &quot;last modification time&quot; are transferred. For each TransferOperation started by this TransferJob, NOW refers to the start_time of the TransferOperation .","ref":"GoogleApi.StorageTransfer.V1.Model.ObjectConditions.html","title":"GoogleApi.StorageTransfer.V1.Model.ObjectConditions","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StorageTransfer.V1.Model.ObjectConditions.html#decode/2","title":"GoogleApi.StorageTransfer.V1.Model.ObjectConditions.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.StorageTransfer.V1.Model.ObjectConditions.html#t:t/0","title":"GoogleApi.StorageTransfer.V1.Model.ObjectConditions.t/0","type":"type"},{"doc":"This resource represents a long-running operation that is the result of a network API call. Attributes done ( type: boolean() , default: nil ) - If the value is false , it means the operation is still in progress. If true , the operation is completed, and either error or response is available. error ( type: GoogleApi.StorageTransfer.V1.Model.Status.t , default: nil ) - The error result of the operation in case of failure or cancellation. metadata ( type: map() , default: nil ) - Represents the transfer operation object. To request a TransferOperation object, use transferOperations.get. name ( type: String.t , default: nil ) - The server-assigned unique name. The format of name is transferOperations/some/unique/name . response ( type: map() , default: nil ) - The normal response of the operation in case of success. If the original method returns no data on success, such as Delete , the response is google.protobuf.Empty . If the original method is standard Get / Create / Update , the response should be the resource. For other methods, the response should have the type XxxResponse , where Xxx is the original method name. For example, if the original method name is TakeSnapshot() , the inferred response type is TakeSnapshotResponse .","ref":"GoogleApi.StorageTransfer.V1.Model.Operation.html","title":"GoogleApi.StorageTransfer.V1.Model.Operation","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StorageTransfer.V1.Model.Operation.html#decode/2","title":"GoogleApi.StorageTransfer.V1.Model.Operation.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.StorageTransfer.V1.Model.Operation.html#t:t/0","title":"GoogleApi.StorageTransfer.V1.Model.Operation.t/0","type":"type"},{"doc":"Request passed to PauseTransferOperation. Attributes","ref":"GoogleApi.StorageTransfer.V1.Model.PauseTransferOperationRequest.html","title":"GoogleApi.StorageTransfer.V1.Model.PauseTransferOperationRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StorageTransfer.V1.Model.PauseTransferOperationRequest.html#decode/2","title":"GoogleApi.StorageTransfer.V1.Model.PauseTransferOperationRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.StorageTransfer.V1.Model.PauseTransferOperationRequest.html#t:t/0","title":"GoogleApi.StorageTransfer.V1.Model.PauseTransferOperationRequest.t/0","type":"type"},{"doc":"Request passed to ResumeTransferOperation. Attributes","ref":"GoogleApi.StorageTransfer.V1.Model.ResumeTransferOperationRequest.html","title":"GoogleApi.StorageTransfer.V1.Model.ResumeTransferOperationRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StorageTransfer.V1.Model.ResumeTransferOperationRequest.html#decode/2","title":"GoogleApi.StorageTransfer.V1.Model.ResumeTransferOperationRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.StorageTransfer.V1.Model.ResumeTransferOperationRequest.html#t:t/0","title":"GoogleApi.StorageTransfer.V1.Model.ResumeTransferOperationRequest.t/0","type":"type"},{"doc":"Request passed to RunTransferJob. Attributes projectId ( type: String.t , default: nil ) - Required. The ID of the Google Cloud Platform Console project that owns the transfer job.","ref":"GoogleApi.StorageTransfer.V1.Model.RunTransferJobRequest.html","title":"GoogleApi.StorageTransfer.V1.Model.RunTransferJobRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StorageTransfer.V1.Model.RunTransferJobRequest.html#decode/2","title":"GoogleApi.StorageTransfer.V1.Model.RunTransferJobRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.StorageTransfer.V1.Model.RunTransferJobRequest.html#t:t/0","title":"GoogleApi.StorageTransfer.V1.Model.RunTransferJobRequest.t/0","type":"type"},{"doc":"Transfers can be scheduled to recur or to run just once. Attributes endTimeOfDay ( type: GoogleApi.StorageTransfer.V1.Model.TimeOfDay.t , default: nil ) - The time in UTC that no further transfer operations are scheduled. Combined with schedule_end_date, end_time_of_day specifies the end date and time for starting new transfer operations. This field must be greater than or equal to the timestamp corresponding to the combintation of schedule_start_date and start_time_of_day, and is subject to the following: If end_time_of_day is not set and schedule_end_date is set, then a default value of 23:59:59 is used for end_time_of_day . If end_time_of_day is set and schedule_end_date is not set, then INVALID_ARGUMENT is returned. repeatInterval ( type: String.t , default: nil ) - Interval between the start of each scheduled TransferOperation. If unspecified, the default value is 24 hours. This value may not be less than 1 hour. scheduleEndDate ( type: GoogleApi.StorageTransfer.V1.Model.Date.t , default: nil ) - The last day a transfer runs. Date boundaries are determined relative to UTC time. A job will run once per 24 hours within the following guidelines: If schedule_end_date and schedule_start_date are the same and in the future relative to UTC, the transfer is executed only one time. If schedule_end_date is later than schedule_start_date and schedule_end_date is in the future relative to UTC, the job will run each day at start_time_of_day through schedule_end_date . scheduleStartDate ( type: GoogleApi.StorageTransfer.V1.Model.Date.t , default: nil ) - Required. The start date of a transfer. Date boundaries are determined relative to UTC time. If schedule_start_date and start_time_of_day are in the past relative to the job's creation time, the transfer starts the day after you schedule the transfer request. Note: When starting jobs at or near midnight UTC it is possible that a job will start later than expected. For example, if you send an outbound request on June 1 one millisecond prior to midnight UTC and the Storage Transfer Service server receives the request on June 2, then it will create a TransferJob with schedule_start_date set to June 2 and a start_time_of_day set to midnight UTC. The first scheduled TransferOperation will take place on June 3 at midnight UTC. startTimeOfDay ( type: GoogleApi.StorageTransfer.V1.Model.TimeOfDay.t , default: nil ) - The time in UTC that a transfer job is scheduled to run. Transfers may start later than this time. If start_time_of_day is not specified: One-time transfers run immediately. Recurring transfers run immediately, and each day at midnight UTC, through schedule_end_date. If start_time_of_day is specified: One-time transfers run at the specified time. Recurring transfers run at the specified time each day, through schedule_end_date .","ref":"GoogleApi.StorageTransfer.V1.Model.Schedule.html","title":"GoogleApi.StorageTransfer.V1.Model.Schedule","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StorageTransfer.V1.Model.Schedule.html#decode/2","title":"GoogleApi.StorageTransfer.V1.Model.Schedule.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.StorageTransfer.V1.Model.Schedule.html#t:t/0","title":"GoogleApi.StorageTransfer.V1.Model.Schedule.t/0","type":"type"},{"doc":"The Status type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by gRPC . Each Status message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the API Design Guide . Attributes code ( type: integer() , default: nil ) - The status code, which should be an enum value of google.rpc.Code. details ( type: list(map()) , default: nil ) - A list of messages that carry the error details. There is a common set of message types for APIs to use. message ( type: String.t , default: nil ) - A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.","ref":"GoogleApi.StorageTransfer.V1.Model.Status.html","title":"GoogleApi.StorageTransfer.V1.Model.Status","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StorageTransfer.V1.Model.Status.html#decode/2","title":"GoogleApi.StorageTransfer.V1.Model.Status.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.StorageTransfer.V1.Model.Status.html#t:t/0","title":"GoogleApi.StorageTransfer.V1.Model.Status.t/0","type":"type"},{"doc":"Represents a time of day. The date and time zone are either not significant or are specified elsewhere. An API may choose to allow leap seconds. Related types are google.type.Date and google.protobuf.Timestamp . Attributes hours ( type: integer() , default: nil ) - Hours of day in 24 hour format. Should be from 0 to 23. An API may choose to allow the value &quot;24:00:00&quot; for scenarios like business closing time. minutes ( type: integer() , default: nil ) - Minutes of hour of day. Must be from 0 to 59. nanos ( type: integer() , default: nil ) - Fractions of seconds in nanoseconds. Must be from 0 to 999,999,999. seconds ( type: integer() , default: nil ) - Seconds of minutes of the time. Must normally be from 0 to 59. An API may allow the value 60 if it allows leap-seconds.","ref":"GoogleApi.StorageTransfer.V1.Model.TimeOfDay.html","title":"GoogleApi.StorageTransfer.V1.Model.TimeOfDay","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StorageTransfer.V1.Model.TimeOfDay.html#decode/2","title":"GoogleApi.StorageTransfer.V1.Model.TimeOfDay.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.StorageTransfer.V1.Model.TimeOfDay.html#t:t/0","title":"GoogleApi.StorageTransfer.V1.Model.TimeOfDay.t/0","type":"type"},{"doc":"A collection of counters that report the progress of a transfer operation. Attributes bytesCopiedToSink ( type: String.t , default: nil ) - Bytes that are copied to the data sink. bytesDeletedFromSink ( type: String.t , default: nil ) - Bytes that are deleted from the data sink. bytesDeletedFromSource ( type: String.t , default: nil ) - Bytes that are deleted from the data source. bytesFailedToDeleteFromSink ( type: String.t , default: nil ) - Bytes that failed to be deleted from the data sink. bytesFoundFromSource ( type: String.t , default: nil ) - Bytes found in the data source that are scheduled to be transferred, excluding any that are filtered based on object conditions or skipped due to sync. bytesFoundOnlyFromSink ( type: String.t , default: nil ) - Bytes found only in the data sink that are scheduled to be deleted. bytesFromSourceFailed ( type: String.t , default: nil ) - Bytes in the data source that failed to be transferred or that failed to be deleted after being transferred. bytesFromSourceSkippedBySync ( type: String.t , default: nil ) - Bytes in the data source that are not transferred because they already exist in the data sink. objectsCopiedToSink ( type: String.t , default: nil ) - Objects that are copied to the data sink. objectsDeletedFromSink ( type: String.t , default: nil ) - Objects that are deleted from the data sink. objectsDeletedFromSource ( type: String.t , default: nil ) - Objects that are deleted from the data source. objectsFailedToDeleteFromSink ( type: String.t , default: nil ) - Objects that failed to be deleted from the data sink. objectsFoundFromSource ( type: String.t , default: nil ) - Objects found in the data source that are scheduled to be transferred, excluding any that are filtered based on object conditions or skipped due to sync. objectsFoundOnlyFromSink ( type: String.t , default: nil ) - Objects found only in the data sink that are scheduled to be deleted. objectsFromSourceFailed ( type: String.t , default: nil ) - Objects in the data source that failed to be transferred or that failed to be deleted after being transferred. objectsFromSourceSkippedBySync ( type: String.t , default: nil ) - Objects in the data source that are not transferred because they already exist in the data sink.","ref":"GoogleApi.StorageTransfer.V1.Model.TransferCounters.html","title":"GoogleApi.StorageTransfer.V1.Model.TransferCounters","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StorageTransfer.V1.Model.TransferCounters.html#decode/2","title":"GoogleApi.StorageTransfer.V1.Model.TransferCounters.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.StorageTransfer.V1.Model.TransferCounters.html#t:t/0","title":"GoogleApi.StorageTransfer.V1.Model.TransferCounters.t/0","type":"type"},{"doc":"This resource represents the configuration of a transfer job that runs periodically. Attributes creationTime ( type: DateTime.t , default: nil ) - Output only. The time that the transfer job was created. deletionTime ( type: DateTime.t , default: nil ) - Output only. The time that the transfer job was deleted. description ( type: String.t , default: nil ) - A description provided by the user for the job. Its max length is 1024 bytes when Unicode-encoded. lastModificationTime ( type: DateTime.t , default: nil ) - Output only. The time that the transfer job was last modified. latestOperationName ( type: String.t , default: nil ) - The name of the most recently started TransferOperation of this JobConfig. Present if a TransferOperation has been created for this JobConfig. name ( type: String.t , default: nil ) - A unique name (within the transfer project) assigned when the job is created. If this field is empty in a CreateTransferJobRequest, Storage Transfer Service will assign a unique name. Otherwise, the specified name is used as the unique name for this job. If the specified name is in use by a job, the creation request fails with an ALREADY EXISTS error. This name must start with &quot;transferJobs/&quot; prefix and end with a letter or a number, and should be no more than 128 characters. This name must not start with 'transferJobs/OPI'. 'transferJobs/OPI' is a reserved prefix. Example: `&quot;transferJobs/^(?!OPI)[A-Za-z0-9-. ~]*[A-Za-z0-9]$&quot;` Invalid job names will fail with an INVALID_ARGUMENT error. notificationConfig ( type: GoogleApi.StorageTransfer.V1.Model.NotificationConfig.t , default: nil ) - Notification configuration. projectId ( type: String.t , default: nil ) - The ID of the Google Cloud Platform Project that owns the job. schedule ( type: GoogleApi.StorageTransfer.V1.Model.Schedule.t , default: nil ) - Specifies schedule for the transfer job. This is an optional field. When the field is not set, the job will never execute a transfer, unless you invoke RunTransferJob or update the job to have a non-empty schedule. status ( type: String.t , default: nil ) - Status of the job. This value MUST be specified for CreateTransferJobRequests . Note: The effect of the new job status takes place during a subsequent job run. For example, if you change the job status from ENABLED to DISABLED, and an operation spawned by the transfer is running, the status change would not affect the current operation. transferSpec ( type: GoogleApi.StorageTransfer.V1.Model.TransferSpec.t , default: nil ) - Transfer specification.","ref":"GoogleApi.StorageTransfer.V1.Model.TransferJob.html","title":"GoogleApi.StorageTransfer.V1.Model.TransferJob","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StorageTransfer.V1.Model.TransferJob.html#decode/2","title":"GoogleApi.StorageTransfer.V1.Model.TransferJob.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.StorageTransfer.V1.Model.TransferJob.html#t:t/0","title":"GoogleApi.StorageTransfer.V1.Model.TransferJob.t/0","type":"type"},{"doc":"A description of the execution of a transfer. Attributes counters ( type: GoogleApi.StorageTransfer.V1.Model.TransferCounters.t , default: nil ) - Information about the progress of the transfer operation. endTime ( type: DateTime.t , default: nil ) - End time of this transfer execution. errorBreakdowns ( type: list(GoogleApi.StorageTransfer.V1.Model.ErrorSummary.t) , default: nil ) - Summarizes errors encountered with sample error log entries. name ( type: String.t , default: nil ) - A globally unique ID assigned by the system. notificationConfig ( type: GoogleApi.StorageTransfer.V1.Model.NotificationConfig.t , default: nil ) - Notification configuration. projectId ( type: String.t , default: nil ) - The ID of the Google Cloud Platform Project that owns the operation. startTime ( type: DateTime.t , default: nil ) - Start time of this transfer execution. status ( type: String.t , default: nil ) - Status of the transfer operation. transferJobName ( type: String.t , default: nil ) - The name of the transfer job that triggers this transfer operation. transferSpec ( type: GoogleApi.StorageTransfer.V1.Model.TransferSpec.t , default: nil ) - Transfer specification.","ref":"GoogleApi.StorageTransfer.V1.Model.TransferOperation.html","title":"GoogleApi.StorageTransfer.V1.Model.TransferOperation","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StorageTransfer.V1.Model.TransferOperation.html#decode/2","title":"GoogleApi.StorageTransfer.V1.Model.TransferOperation.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.StorageTransfer.V1.Model.TransferOperation.html#t:t/0","title":"GoogleApi.StorageTransfer.V1.Model.TransferOperation.t/0","type":"type"},{"doc":"TransferOptions define the actions to be performed on objects in a transfer. Attributes deleteObjectsFromSourceAfterTransfer ( type: boolean() , default: nil ) - Whether objects should be deleted from the source after they are transferred to the sink. Note: This option and delete_objects_unique_in_sink are mutually exclusive. deleteObjectsUniqueInSink ( type: boolean() , default: nil ) - Whether objects that exist only in the sink should be deleted. Note: This option and delete_objects_from_source_after_transfer are mutually exclusive. overwriteObjectsAlreadyExistingInSink ( type: boolean() , default: nil ) - When to overwrite objects that already exist in the sink. The default is that only objects that are different from the source are ovewritten. If true, all objects in the sink whose name matches an object in the source will be overwritten with the source object.","ref":"GoogleApi.StorageTransfer.V1.Model.TransferOptions.html","title":"GoogleApi.StorageTransfer.V1.Model.TransferOptions","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StorageTransfer.V1.Model.TransferOptions.html#decode/2","title":"GoogleApi.StorageTransfer.V1.Model.TransferOptions.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.StorageTransfer.V1.Model.TransferOptions.html#t:t/0","title":"GoogleApi.StorageTransfer.V1.Model.TransferOptions.t/0","type":"type"},{"doc":"Configuration for running a transfer. Attributes awsS3DataSource ( type: GoogleApi.StorageTransfer.V1.Model.AwsS3Data.t , default: nil ) - An AWS S3 data source. azureBlobStorageDataSource ( type: GoogleApi.StorageTransfer.V1.Model.AzureBlobStorageData.t , default: nil ) - An Azure Blob Storage data source. gcsDataSink ( type: GoogleApi.StorageTransfer.V1.Model.GcsData.t , default: nil ) - A Cloud Storage data sink. gcsDataSource ( type: GoogleApi.StorageTransfer.V1.Model.GcsData.t , default: nil ) - A Cloud Storage data source. httpDataSource ( type: GoogleApi.StorageTransfer.V1.Model.HttpData.t , default: nil ) - An HTTP URL data source. objectConditions ( type: GoogleApi.StorageTransfer.V1.Model.ObjectConditions.t , default: nil ) - Only objects that satisfy these object conditions are included in the set of data source and data sink objects. Object conditions based on objects' &quot;last modification time&quot; do not exclude objects in a data sink. transferOptions ( type: GoogleApi.StorageTransfer.V1.Model.TransferOptions.t , default: nil ) - If the option delete_objects_unique_in_sink is true and time-based object conditions such as 'last modification time' are specified, the request fails with an INVALID_ARGUMENT error.","ref":"GoogleApi.StorageTransfer.V1.Model.TransferSpec.html","title":"GoogleApi.StorageTransfer.V1.Model.TransferSpec","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StorageTransfer.V1.Model.TransferSpec.html#decode/2","title":"GoogleApi.StorageTransfer.V1.Model.TransferSpec.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.StorageTransfer.V1.Model.TransferSpec.html#t:t/0","title":"GoogleApi.StorageTransfer.V1.Model.TransferSpec.t/0","type":"type"},{"doc":"Request passed to UpdateTransferJob. Attributes projectId ( type: String.t , default: nil ) - Required. The ID of the Google Cloud Platform Console project that owns the job. transferJob ( type: GoogleApi.StorageTransfer.V1.Model.TransferJob.t , default: nil ) - Required. The job to update. transferJob is expected to specify only four fields: description, transfer_spec, notification_config, and status. An UpdateTransferJobRequest that specifies other fields are rejected with the error INVALID_ARGUMENT. Updating a job satus to DELETED requires storagetransfer.jobs.delete permissions. updateTransferJobFieldMask ( type: String.t , default: nil ) - The field mask of the fields in transferJob that are to be updated in this request. Fields in transferJob that can be updated are: description, transfer_spec, notification_config, and status. To update the transfer_spec of the job, a complete transfer specification must be provided. An incomplete specification missing any required fields is rejected with the error INVALID_ARGUMENT.","ref":"GoogleApi.StorageTransfer.V1.Model.UpdateTransferJobRequest.html","title":"GoogleApi.StorageTransfer.V1.Model.UpdateTransferJobRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StorageTransfer.V1.Model.UpdateTransferJobRequest.html#decode/2","title":"GoogleApi.StorageTransfer.V1.Model.UpdateTransferJobRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.StorageTransfer.V1.Model.UpdateTransferJobRequest.html#t:t/0","title":"GoogleApi.StorageTransfer.V1.Model.UpdateTransferJobRequest.t/0","type":"type"}]